[ARVADOS] updated: b09ef955c31f026c7c15e81038543283bef5742d

Git user git at public.curoverse.com
Mon Nov 7 00:51:41 EST 2016


Summary of changes:
 build/run-tests.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

       via  b09ef955c31f026c7c15e81038543283bef5742d (commit)
      from  3c672b9c30b598ab3585acfd2716586cda245990 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit b09ef955c31f026c7c15e81038543283bef5742d
Author: Tom Clegg <tom at curoverse.com>
Date:   Mon Nov 7 00:51:35 2016 -0500

    10467: Check for Go 1.7.

diff --git a/build/run-tests.sh b/build/run-tests.sh
index 2797ec3..e326c22 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -158,8 +158,8 @@ sanity_checks() {
     echo -n 'go: '
     go version \
         || fatal "No go binary. See http://golang.org/doc/install"
-    [[ $(go version) =~ go1.([0-9]+) ]] && [[ ${BASH_REMATCH[1]} -ge 6 ]] \
-        || fatal "Go >= 1.6 required. See http://golang.org/doc/install"
+    [[ $(go version) =~ go1.([0-9]+) ]] && [[ ${BASH_REMATCH[1]} -ge 7 ]] \
+        || fatal "Go >= 1.7 required. See http://golang.org/doc/install"
     echo -n 'gcc: '
     gcc --version | egrep ^gcc \
         || fatal "No gcc. Try: apt-get install build-essential"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list